Subject: Re: [PATCH net-next v19 03/13] netdev: support binding dma-buf to netdevice

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Aug 2024 15:30:49 -0700

On Wed, 21 Aug 2024 11:36:31 -0400 Mina Almasry wrote:
> Additionally I'm wondering if we should disable adding mp-bound
> devices as slaves completely, regardless of xdp. My concern is that if
> the lower device is using unreadable memory, then the upper device may
> see unreadable memory in its code paths, and will not be expecting
> that, so it may break.

I could be wrong, but my knee jerk reaction is that from datapath
perspective upper devices are just like any other part of the stack.
They should handle (read: not crash with) unreadable frags. The frags
can be injected in many ways, we can't depend on "lower doesn't do MP"
to catch all the bugs.

XDP is isolated, we can prevent unreadable packets from entering XDP
*completely*. We cannot prevent packets from entering the skb paths.
No?